TLSRPT_VERSION_CHECK(3)

NAME
tlsrpt_version_check - check whether the version of libtlsrpt is compatible with the calling program

SYNOPSIS

#include <tlsrpt.h>

int tlsrpt_version_check(int major, int minor, int patch)

DESCRIPTION

The tlsrpt_version_check function checks whether the version of libtlsrpt is compatible with the calling program.

A program compiled with libtlsrpt version a.b.c can call tlsrpt_version_check(a, b, c) to determine if the loaded library is compatible with the program.

RETURN VALUE

The tlsrpt_version function returns 1 when the library is compatible with the calling program and 0 otherwise.

SEE ALSO

tlsrpt_version_check(3)

AUTHOR(S)

Boris Lohner
    Author(s).